package com.usky.system.service.vo;


import com.usky.common.core.constants.Constants;
import com.usky.common.core.util.StringUtils;
import io.swagger.models.auth.In;


/**
 * 路由显示信息
 * 
 * @author yq
 */
public class MetaVo
{
    /**
     * 设置该路由在侧边栏和面包屑中展示的名字
     */
    private String title;

    /**
     * 菜单昵称
     */
    private String aliasTitle;

    /**
     * 设置该路由的图标，对应路径src/assets/icons/svg
     */
    private String icon;

    /**
     * 前端用
      */
    private Boolean affix;

    /** 是否为外链（0是 1否） */
    private String isFrame;

    /** 是否新窗口;0:否 1:是 */
    private Integer isNew;

    /** 备注 */
    private String remark;

    /** 类型 */
    private Integer menuType;

    public MetaVo()
    {
    }

    public MetaVo(String title, String aliasTitle, String icon, String isFrame, Integer isNew, String remark, Integer menuType)
    {
        this.title = title;
        this.aliasTitle = aliasTitle;
        this.icon = icon;
        this.isFrame = isFrame;
        this.isNew = isNew;
        this.remark = remark;
        this.menuType = menuType;
    }

    public MetaVo(String title, String aliasTitle, String icon, String remark)
    {
        this.title = title;
        this.aliasTitle = aliasTitle;
        this.icon = icon;
        this.remark = remark;
    }

    public MetaVo(String title, String aliasTitle, String icon, boolean noCache)
    {
        this.title = title;
        this.aliasTitle = aliasTitle;
        this.icon = icon;
    }

    public MetaVo(String title, String aliasTitle, String icon, String link, String isFrame, Integer isNew, String remark, Integer menuType)
    {
        this.title = title;
        this.aliasTitle = aliasTitle;
        this.icon = icon;
        this.isFrame = isFrame;
        this.isNew = isNew;
        this.remark = remark;
        this.menuType = menuType;
    }

    public MetaVo(String title, String aliasTitle, String icon, String link, String remark)
    {
        this.title = title;
        this.aliasTitle = aliasTitle;
        this.icon = icon;
        this.remark = remark;
    }

    public MetaVo(String title, String aliasTitle, String icon, boolean noCache, String link, String isFrame,
                  Integer isNew, String remark, Integer menuType)
    {
        this.title = title;
        this.aliasTitle = aliasTitle;
        this.icon = icon;
        this.isFrame = isFrame;
        this.isNew = isNew;
        this.remark = remark;
        this.menuType = menuType;
        if (StringUtils.startsWithAny(link, Constants.HTTP, Constants.HTTPS))
        {

        }
    }

    public MetaVo(String title, String aliasTitle, String icon, boolean noCache, String link, String remark)
    {
        this.title = title;
        this.aliasTitle = aliasTitle;
        this.icon = icon;
        this.remark = remark;
        if (StringUtils.startsWithAny(link, Constants.HTTP, Constants.HTTPS))
        {

        }
    }


    public String getTitle()
    {
        return title;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getAliasTitle()
    {
        return aliasTitle;
    }

    public void setAliasTitle(String aliasTitle)
    {
        this.aliasTitle = aliasTitle;
    }

    public String getIcon()
    {
        return icon;
    }

    public void setIcon(String icon)
    {
        this.icon = icon;
    }



    public Boolean getAffix()
    {
        return affix;
    }

    public void setAffix(boolean affix)
    {
        this.affix = affix;
    }

    public String getIsFrame()
    {
        return isFrame;
    }

    public void setIsFrame(String isFrame)
    {
        this.isFrame = isFrame;
    }

    public Integer getIsNew() { return isNew; }

    public void setIsNew(Integer isNew) { this.isNew = isNew; }



    public String getRemark()
    {
        return remark;
    }

    public void setRemark(String remark)
    {
        this.remark = remark;
    }

    public Integer getMenuType() { return menuType; }

    public void setMenuType(Integer menuType) { this.menuType = menuType; }
}
